package com.gonghang.h5clientapp.service;

import com.github.pagehelper.PageInfo;
import com.gonghang.h5clientapp.beans.vo.GhRobotVO;

import java.util.List;
import java.util.Map;

/**
 * Created by shiwn on 2022/7/5 9:01
 */
public interface GhH5Service {
    List<GhRobotVO> getRobotList();

    Map getRobotInfo(Integer robotId);

    PageInfo getTaskList(Integer pageNum, Integer pageSize, Integer robotId);

    PageInfo getReportList(Integer pageNum, Integer pageSize, Integer robotId);
}
